Update Job Recipe
curl --request PATCH \
--url https://api.dispersed.com/v1/job-recipes/{uuid} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"quickstart_md": "<string>",
"input_schema": [
{
"key": "<string>",
"label": "<string>",
"required": true,
"description": "<string>",
"placeholder": "<string>",
"default_value": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"thumbnail_url": "<string>",
"is_official": true
}
'import requests
url = "https://api.dispersed.com/v1/job-recipes/{uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"quickstart_md": "<string>",
"input_schema": [
{
"key": "<string>",
"label": "<string>",
"required": True,
"description": "<string>",
"placeholder": "<string>",
"default_value": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"thumbnail_url": "<string>",
"is_official": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
quickstart_md: '<string>',
input_schema: [
{
key: '<string>',
label: '<string>',
required: true,
description: '<string>',
placeholder: '<string>',
default_value: '<string>',
options: [{label: '<string>', value: '<string>'}]
}
],
thumbnail_url: '<string>',
is_official: true
})
};
fetch('https://api.dispersed.com/v1/job-recipes/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "job_recipe",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"payload": {
"title": "<string>",
"parameters": {
"parameters": {
"allowed_ips": [
"<string>"
],
"env": {},
"host": "<string>",
"image": "<string>",
"imagesrc": "<string>",
"ports": [
123
],
"secret": "<string>",
"sshkey": "<string>",
"tag": "<string>",
"user": "<string>",
"volumes": [
{
"image": "<string>",
"mount": "<string>",
"registry": "<string>",
"secret": "<string>",
"tag": "<string>",
"user": "<string>"
}
]
},
"type": "docker"
},
"min_vram_gb": 123,
"min_ram_gb": 123,
"min_storage_gb": 123,
"cpu_count": 4,
"gpu_count": 1,
"description": "<string>",
"max_timeout_assign_ms": 123,
"max_timeout_run_ms": 123,
"max_timeout_start_ms": 123,
"gpu_name": "RTX 3090",
"gpu_registry_uuid": "01234567-89ab-cdef-0123-456789abcdef",
"image_size_bytes": 2147483648,
"max_node_count": 123,
"max_retry_count": 123,
"allowed_region_codes": []
},
"is_official": true,
"last_used_at": "2023-11-07T05:31:56Z",
"usage_count": 123,
"fork_count": 123,
"uuid": "<string>",
"quickstart_md": "<string>",
"input_schema": [
{
"key": "<string>",
"label": "<string>",
"required": true,
"description": "<string>",
"placeholder": "<string>",
"default_value": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"thumbnail_url": "<string>",
"is_owner": true,
"forked_from_recipe_uuid": "<string>",
"created_by_account_uuid": "<string>",
"created_by_account": {
"uuid": "<string>",
"email": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Job Recipes
Update Job Recipe
PATCH
/
v1
/
job-recipes
/
{uuid}
Update Job Recipe
Path Parameters
Body
application/json
Required string length:
1 - 100Maximum string length:
500Available options:
ARCHIVED, PRIVATE, PUBLIC, UNLISTED Markdown content for the quickstart guide
Maximum string length:
10000Schema defining required user inputs when cooking this recipe
Show child attributes
Show child attributes
Show child attributes
Show child attributes
URL to a thumbnail image for the recipe card
Response
Job recipe updated successfully (fields filtered by role)
Available options:
job_recipe Available options:
ARCHIVED, PRIVATE, PUBLIC, UNLISTED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I